Package ru.bitel.bgbilling.modules.sorm.common.service

# Interface ViewUploadedFilesService

    public interface ViewUploadedFilesService

Для отображения и работы с локальными, сформированными файлами

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `deleteFiles​(java.util.List<java.lang.String> files)` |
  `java.lang.String` | `processUploadedFile​(ViewUploadFilesConfigurator viewerConfigurator)` | Обрабатывает файл и возвращает результат для отображения
  `java.util.List<java.lang.String>` | `searchFilesByPath​(java.lang.String pathToFile)` | Поиск одного файла с путем до него.
  `java.util.List<java.lang.String>` | `searchFilesBySormProject​(SormProject sormProject, Period period)` | Получение списка выгруженных локальных файлов

- ## Method Details

  - ### searchFilesBySormProject

    java.util.List<java.lang.String> searchFilesBySormProject​(SormProject sormProject, Period period) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Получение списка выгруженных локальных файлов
    Parameters:
      `sormProject` - настроенный проект выгрузки, из которого будет взят путь до локального хранилища файлов
    Returns:
      список локальных файлов, которые могут быть просмотрены
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### searchFilesByPath

    java.util.List<java.lang.String> searchFilesByPath​(java.lang.String pathToFile) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Поиск одного файла с путем до него. Если конечный файл оказывается директорией, то вернет список регулярных файлов в данной директории
    Parameters:
      `pathToFile` - путь до файла или директории
    Returns:
      файл или список файлов в директории
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### processUploadedFile

    java.lang.String processUploadedFile​(ViewUploadFilesConfigurator viewerConfigurator) throws ru.bitel.bgbilling.common.BGException
    Обрабатывает файл и возвращает результат для отображения
    Parameters:
      `viewerConfigurator` - выбранные настройки для просмотра сформированных файлов
    Returns:
      список строк для отображения
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteFiles

    void deleteFiles​(java.util.List<java.lang.String> files) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`